%define pname     ttxtsubs
%define vardir    %(vdr-config --vardir     2>/dev/null || echo ERROR)
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define vdr_user  %(vdr-config --user       2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:           vdr-%{pname}
Version:        0.0.5
Release:        1%{?dist}
Summary:        Teletext subtitles plugin for VDR

Group:          Applications/Multimedia
License:        GPL+
URL:            http://www.nada.kth.se/~ragge/vdr/ttxtsubs/
Source0:        ftp://ftp.nada.kth.se/pub/home/ragge/vdr/%{name}-%{version}.tgz
Source1:        %{name}.conf
Patch0:         http://www.saunalahti.fi/~rahrenbe/vdr/patches/vdr-ttxtsubs-0.0.5-raastinrauta-edition.diff.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel
Requires:       vdr(abi) = %{apiver}

%description
This VDR plugin implements displaying, recording and replaying
teletext based subtitles using the on screen display.


%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
sed -i -e '/^DVBDIR/d' -e 's|-I$(DVBDIR)/include||' Makefile
f=HISTORY ; iconv -f iso-8859-1 -t utf-8 -o $f.utf8 $f ; mv $f.utf8 $f
sed -i -e 's|ConfigDirectory("ttxtsubs")|"%{vardir}/%{pname}"|' \
    ttxtsubs.c


%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr libvdr-%{pname}.so


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
install -dm 755 $RPM_BUILD_ROOT%{vardir}/%{pname}
cat /dev/null >$RPM_BUILD_ROOT%{vardir}/%{pname}/channelsettings.dat


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README TROUBLESHOOTING
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%defattr(-,%{vdr_user},root,-)
%dir %{vardir}/%{pname}/
%ghost %config(noreplace) %{vardir}/%{pname}/channelsettings.dat


%changelog
* Sun Sep 30 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-1
- License: GPL+
- Raastinrauta patch re-re-re-re-re-released.

* Tue Aug 28 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.10
- Raastinrauta patch re-re-re-released.

* Fri Aug 24 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.9
- Raastinrauta patch re-re-released.

* Thu Aug  2 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.8
- Raastinrauta patch re-released.

* Wed Jul 25 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.7
- Update Rofa's patch to raastinrauta edition.

* Tue Apr 10 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.6
- Update Rofa's patch to kermanekka edition, changes from 0.0.5-0.5 applied.

* Mon Apr  9 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.5
- Fix plugin init/shutdown with newish VDR; avoids crashes at shutdown.
- Clean up logging.

* Sat Jan 20 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.4
- Update Rofa's patch to pippurimylly edition.

* Sun Nov 12 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.3
- Move channel settings to /var/lib/vdr.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.2
- Own /etc/vdr/plugins/ttxtsubs.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.0.5-0.1
- First build.
